%global srcname oslo-sphinx

Name:           python-%{srcname}
Version:        3.1.0
Release:        %mkrel 3
Summary:        OpenStack Sphinx Extensions

Group:          Development/Python
License:        MIT
URL:            http://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/o/oslosphinx/oslosphinx-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
OpenStack Sphinx Extensions.

%package -n     python3-%{srcname}
Summary:        OpenStack Sphinx Extensions
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
OpenStack Sphinx Extensions.

This is the Python 3 version of the package.

%prep
%setup -q -n oslosphinx-%{version}

# Remove bundled egg-info
rm -rf oslosphinx.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python2_sitelib}/oslo*

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python3_sitelib}/oslo*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 3.1.0-3.mga6
+ Revision: 971232
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 3.1.0-2.mga6
+ Revision: 889854
- add python3 package
- use new python macros
- add doc files

* Sun Aug 30 2015 fwang <fwang> 3.1.0-1.mga6
+ Revision: 871302
- 3.1.0

* Wed Jan 21 2015 bcornec <bcornec> 2.3.0-1.mga5
+ Revision: 811679
- Update to upstream 2.3.0 to avoid security issues as mentioned in https://bugs.mageia.org/show_bug.cgi?id=15010

* Wed Oct 15 2014 umeabot <umeabot> 1.1-7.mga5
+ Revision: 739736
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1-6.mga5
+ Revision: 729270
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 688197
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1-3.mga4
+ Revision: 543811
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1-2.mga4
+ Revision: 499034
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 neoclust <neoclust> 1.1-1.mga4
+ Revision: 494635
- imported package python-oslo-sphinx

